# **Videomass** is a cross-platform graphical interface for FFmpeg and youtube-dl.

* [Videomass on PyPi](https://pypi.org/project/videomass/)
* [GitHub Page](https://github.com/jeanslack/Videomass)
* [Support Page and Documentation](http://jeanslack.github.io/Videomass)
* [Wiki page](https://github.com/jeanslack/Videomass/wiki)
* [Downloads Source Code](https://github.com/jeanslack/Videomass/releases)
* [Installers for Windows and MacOsX](https://sourceforge.net/projects/videomass2/)

## Features

- Multi-Platform, work on Linux, MacOs, Windows, FreeBsd.
- Drag n' Drop with multiple files at once.
- Batch processing.
- Fully customizable presets and profiles.
- Possibility to create your new presets and profiles from scratch.
- Has useful presets to start with.
- Supports all formats and codecs available with FFmpeg.
- Displaying information from streams analyzer.
- Real-time video filters preview.
- Three audio normalization modes: Peak, RMS and EBU R128.
- Audio index from videos selectable to apply normalization.
- Setting duration portions for imported files, filters, export and tests.
- Download multiple URLs from YouTube and more sites.
- View video information without downloading it.
- Ability to download videos using the 'format code' with audio merging.
- Ability to playback individual URLs with different qualities.
- Log management.
- Multi language (English and Italian Languages support for now).

## Requirements

- Python3  >= 3.7.0
- wxPython4 (phoenix)
- PyPubSub (https://pypi.org/project/PyPubSub/)
- ffmpeg >= 4.1.4
- ffprobe (for multimedia streams analysis)
- ffplay (for playback)
- youtube-dl (https://pypi.org/project/youtube_dl/)

## Optionals

- mpv (media player) for playing URLs


